Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

need help! cannot run in php 5


Guest

Recommended Posts

does osc not support php 5?

I've set register_globals to on.

but all pages display blank.

anyone run it under php 5?

I tried both ms2 and newest cvs version

Link to comment
Share on other sites

does osc not support php 5?

I've set register_globals to on.

but all pages display blank.

anyone run it under php 5?

I tried both ms2 and newest cvs version

 

many times you can succeed

 

in an .htaccess file,

 

try either:

php_flag register_globals 0

 

or

php_flag register_globals on

 

or try

php_value register_globals 1

"If you're working on something new, then you are necessarily an amateur."

Link to comment
Share on other sites

Hey John....do you know the particulars as to why osC won't currently run on a PHP 5 app. server?

 

I will temporarily change my name to john :P

 

Some of the reason is due to the way destroy objects.

 

in php 4

 

$this = null;

 

Worked fine... however this does not work in PHP5.

 

There are also a few other issues which we have fixed in CVS a short time ago.

Mark Evans

osCommerce Monkey & Lead Guitarist for "Sparky + the Monkeys" (Album on sale in all good record shops)

 

---------------------------------------

Software is like sex: It's better when it's free. (Linus Torvalds)

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...